### R code from vignette source 'orsk_demo.Rnw'

###################################################
### code chunk number 1: orsk_demo.Rnw:150-151
###################################################
options(prompt = "R> ", continue = "+  ", width = 70, useFancyQuotes = FALSE)


###################################################
### code chunk number 2: orsk_demo.Rnw:153-154 (eval = FALSE)
###################################################
## install.packages("orsk")


###################################################
### code chunk number 3: orsk_demo.Rnw:157-159 (eval = FALSE)
###################################################
## library("orsk")
## vignette("orsk_demo",package = "orsk")


###################################################
### code chunk number 4: orsk_demo.Rnw:162-163 (eval = FALSE)
###################################################
## edit(vignette("orsk_demo",package = "orsk"))


###################################################
### code chunk number 5: orsk_demo.Rnw:172-173
###################################################
library("orsk")


###################################################
### code chunk number 6: orsk_demo.Rnw:175-178
###################################################
### analysis of data in Table 1
res1 <- orsk(x=2707, y=2610, a=0.37, al=0.30, au= 0.46, method="grid")
summary(res1)


###################################################
### code chunk number 7: orsk_demo.Rnw:181-188
###################################################
### analysis of data in Table 1
# Use a preset seed so test values are reproducable.
require("setRNG")
old.seed <- setRNG(list(kind="Mersenne-Twister", normal.kind="Inversion",
seed=1234))
res2 <- orsk(x=2707, y=2610, a=0.37, al=0.30, au= 0.46, method="optim")
summary(res2)


###################################################
### code chunk number 8: orsk_demo.Rnw:190-193
###################################################
#compare the computing speed between the two estimating methods. Time to finish the modeling
time.optim <- system.time(orsk(x=2707, y=2610, a=0.37, al=0.30, au=0.46, method="optim"))[1]
time.grid <- system.time(orsk(x=2707, y=2610, a=0.37, al=0.30, au=0.46, method="grid"))[1]


